Jump to content
TNG Community
Cueyelink

Openstreet Map error

Recommended Posts

Cueyelink

Hello,

I have a problem with OSM after installation,
Open-street Map is not working in TNG v.13.0.4 (Dutch)
TNG - Wordpress (without the WP-plugin) running on Xampp / Localhost
OSM Automatic Geo coding: Version 13.0.0.3c
Installation OSM in Mod manager: ok
Map key: OSM
Problem: The map shows for a split second and then results in a error message (in Dutch).
The same error message as some other mentioned (see attachment).
Used several different browsers and also ran TNG, as test,  separated from WordPress.
The solution offered by Ken Roy did not solve the problem.
Hope that someone can help me out with this one.
Thanks in advance,

error_message_tng_osm.JPG

Share this post


Link to post
Share on other sites
Cueyelink

Hi Rob,

It doesn’t concern to ‘Google Maps’ but to ‘Open-Street Map’.
Thanks for the reply.

Share this post


Link to post
Share on other sites
Rob Severijns

Hi,

I know but to some extend there is info in there that might be useful to you too.

And if you look at your own screenshot it says "Google Maps is niet correct geladen....."

Rob

Share this post


Link to post
Share on other sites
Rob Severijns

I myself had a comparable problem in the past.

It turned out that my laptop (an MSI Gaming laptop) was loading drivers that handled the bandwith priorities while playing online games.

After I disabled those drivers the problems loading my site were solved.

Rob

Share this post


Link to post
Share on other sites
theKiwi
1 hour ago, Cueyelink said:

Hi Rob,

It doesn’t concern to ‘Google Maps’ but to ‘Open-Street Map’.
Thanks for the reply.

But the error message refers to an error coming from Google maps, not from Open Street Map.

So if you have installed Open Street Map there must be some part of the setup that you haven't done since your site is trying to load Google maps, not Open Street Map.

Check the documentation about what you are meant to enter into the Map Key field in TNG Admin ------> Setup ------> Map Settings.

Roger

Share this post


Link to post
Share on other sites
Katryne

Hi !

With open StreetMap, you should enter OSM in the general config, tap Map config, first field. It's mentionned there as a comment " Start the Map Key with 'OSM' (without quotes)
to enable Open Street Maps. "

Share this post


Link to post
Share on other sites
Ken Roy

For OpenStreetMap to work, you need to

* first install the OpenStreetMap mod since OpenStreetMap is not part of TNG

* after installation, you need to set the Map Key to OSM to activate the OpenStreetMap mod

If you are getting an error from Google Maps platform, that means you are calling Google Maps with a key of OSM which it does not recognize.

If you are switching back and forth between Google Maps and OpenStreetMap, which I do quite often, you need to remove the OSM from the TNG Map Key field if you  concatenated OSM in front of your Google Maps key. 

I find it easier to have a private mod that replaces the Map Key with OSM when I want to use the OpenStreetMap and then uninstall that mod when I want to return to Google Maps, otherwise you get an error from the Google Maps platform.    I use a private mod that contains

%target:mapconfig.php%

//  Set map key
%location:<span style="background-color:#E0FFFF;color:black">Set Google Map API key <strong>OSM for OpenStreetmap</strong></span>%
$map['key'] = "My Google Map API key goes here";
%end:%
%trimreplace:%
$map['key'] = "OSM";
%end:%

Note that if you only updated the Admin > Setup > Map Settings > Map Key, then OpenStreetMap is not install and you will also get that same error from the Google Maps platform

Share this post


Link to post
Share on other sites
Cueyelink
Thanks for all the responses. 
I don't understand it at all myself. 
I do not use Google Maps, nor have I entered a map key, but I do get a 'Google' error message. 
I only use the OSM mod with its settings. 
Confused...

error_message_tng_osm_ad1.JPG

error_message_tng_osm_ad2.JPG

Share this post


Link to post
Share on other sites
Ken Roy
4 hours ago, Cueyelink said:

I do not use Google Maps, nor have I entered a map key, but I do get a 'Google' error message. I only use the OSM mod with its settings.

Did you Install the OpenStreetMap using the Mod Manager?

Using a Map Key = OSM does not install the mod.  It only activates it instead of Google Maps.  EDITED - after you install the mod in Mod Manager

13 hours ago, Cueyelink said:

OSM Automatic Geo coding: Version 13.0.0.3c

The OSM Automatice Geocoding mod is NOT the OSM mod.  It is an add-on to do mass geocoding.

4 hours ago, Cueyelink said:

nor have I entered a map key

You sure did enter a Map Key based on your screen shot.  If you did not copy the OpenStreetMap mod cfg file and its subfolder to the mods folder and use the Mod Manager to install it then TNG is doing the call to Google Maps and thus the error you are seeing

Edited by Ken Roy
correct information

Share this post


Link to post
Share on other sites
Cueyelink

Ken,

'The OSM Automatice Geocoding mod is NOT the OSM mod.  It is an add-on to do mass geocoding '

A big shame on me!
Of course i had not download and install the right MOD.
Thank you and others to help me out finding the solution of this prob!
After downloading and installing the right mod everything is working as it should be.

Again Thanks!

Regards,

Share this post


Link to post
Share on other sites
Ken Roy

Glad you got it working.  Nothing to feel shame for.   The note in the mod cfg file is also a source of confusion for new users.

Share this post


Link to post
Share on other sites
Packrat

I was previously using Open Street Maps to display maps in TNG. After uninstalling my mods and upgrading to TNG v.13.1,  it now says " Cannot install   Requires OSM in the beginning of the map key in Map Settings to activate OpenStreet Maps after you install the mod" So I Upgraded to openstreetmap_v13.0.0,7c.

I checked and It does say OSM in the Map Key setting  under the Map Settings tab. I've cleared my cache. Any ideas on what I might be doing wrong?

 

Thanks in advance!

Share this post


Link to post
Share on other sites
Ken Roy
2 hours ago, Packrat said:

After uninstalling my mods and upgrading to TNG v.13.1,  it now says " Cannot install   Requires OSM in the beginning of the map key in Map Settings to activate OpenStreet Maps after you install the mod" So I Upgraded to openstreetmap_v13.0.0,7c.

The requires OSM in the beginning of the map key is not the reason for Cannot install.  After you downloaded the openstreetmap_v13.0.0,7c version, did you Install it.

The message in the status column should now read

Quote

Installed [Options]   Requires OSM in the beginning of the map key in Map Settings to activate OpenStreet Maps after you install the mod

which is a reminder that you must have OSM at the beginning of the map key to activate the OpenStreetMap mod.  Both Google Maps (native TNG) and the OpenStreetMap mod can be installed at the same time, but only one can be active at a given time. 

Share this post


Link to post
Share on other sites
Packrat

Yes I did,  the mod manager reads; " Cannot install   Requires OSM in the beginning of the map key in Map Settings to activate OpenStreet Maps after you install the mod ". I looked OSM is there. I've never used Google Maps, I've been using this right up until the v.13.1 update

 I updated the database structure:

TNG 13.x Database Structure Update

\n"; ?>
The Next Generation database has now been updated to v13.x spe

Something else must be going on, I tried installing your User Footer Copyright mod and the  mod manager says: " Cannot install   for TNG 13.0.0. Update Copyright Start Date in Setup > General Settings after install. " but the custom copyright start year is not there under Site design and definition. I have about 7 mods and only 2 installed. I hate not being able to get this mod working. this and Persistent bookmarks are my 2 favorite mods.

I don't know what else to try except  another reinstall.

 

Ken

 

Share this post


Link to post
Share on other sites
Ken Roy

The Status Line message other than Cannot Install is an informational message only.

You must expand the Status column by clicking on the arrow and then find the reason for why the mod cannot be installed,  normally a Bad Target or Missing Source

Share this post


Link to post
Share on other sites
theKiwi
2 hours ago, Packrat said:

TNG 13.x Database Structure Update

\n"; ?>
The Next Generation database has now been updated to v13.x spe

Something weird is going on here - two things I can think of...

1 - you're running this by having the file open in your browser - so the URL to the readme file would look something like 

file:///path/to/the/readme13x-13x.html

2 - the file(s) were not uploaded completely and properly when you  uploaded them to the site

Are you SURE!! that you're loading the readme file from http://whatever/the/URL/toyoursite/is and not having it open by double clicking the file?

Roger

Share this post


Link to post
Share on other sites
Packrat

I did expand it by clicking on the arrow and this was what it said:

In a change from previous version of OpenStreetMap, you must start your map key with "OSM" to get TNG to use OSM.
You can leave your google key in the map key field after "OSM". (Do not use quotes)

 

I already have OSM in my map key. I've never had or used a Google key.

Share this post


Link to post
Share on other sites
Ken Roy

Please scroll the status column and find the error lines being returned.  Google Maps will be called if the OpenStreetMap is not installed and return errors.

 

Share this post


Link to post
Share on other sites
Michel KIRSCH
On 11/5/2021 at 9:00 AM, Packrat said:

I did expand it by clicking on the arrow and this was what it said:

 

cant instal1.JPG

Share this post


Link to post
Share on other sites
Packrat

I don't understand. I see where it says not copied but I've reinstalled everything and it was working before the upgrade.Clipboard01.jpg

Share this post


Link to post
Share on other sites
Ken Roy

Look at No 3 in the previous screen capture.  The reason it will not install is because the location in admin_editplace.php shows a Bad Target. 

You may have another mod that changes admin_editplace.php that is in conflict with the OpenStreetMap mod

Share this post


Link to post
Share on other sites
Michel KIRSCH
3 hours ago, Packrat said:

I see where it says not copied

Scroll again and again. You must see something as "Bad target" .

Try to copy/paste the whole list (in text)

1 hour ago, Ken Roy said:

You may have another mod that changes admin_editplace.php that is in conflict with the OpenStreetMap mod

Ken, it was just an example from my site to help "Packrat" (Oh my God ! Is it your true name?) to understand...

 

Michel

Share this post


Link to post
Share on other sites
Packrat

I only have 2 other mods that installed: Add Person Age Row and Search Form Help, I uninstalled both and cleared my cache but I get the same message.

 

I see this way down in the list "  line 933: %target:languages/English/cust_text.php% target file missing. Could it be this?

Where do I find this file it is not in the 13.1 (from 13.0.4) Update

Clipboard10.jpg

Share this post


Link to post
Share on other sites

Create an account or sign in to comment

You need to be a member in order to leave a comment

Create an account

Sign up for a new account in our community. It's easy!

Register a new account

Sign in

Already have an account? Sign in here.

Sign In Now

×